# Contributing to Fluvio

Thank you for contributing. No matter how large or small, contributions are always welcome. Before contributing, please read [Code of Conduct](CODE-OF-CONDUCT.md)

#### Table Of Contents

[Assumptions](#assumptions)

[Ask a Question](#ask-a-question)

[Getting Started](#getting-started)

[Contributing](#contributing)

## Assumptions
Familiarity with
- [Rust](https://www.rust-lang.org)
- [Kubernetes](https://kubernetes.io)

Currently, fluvio supports the following platforms:
- macOS X
- Linux  
- Other platforms such as Windows can be made to work, but we haven't tried them yet.

## Ask a Question

Please open an Issue on GitHub with the label `question`.

## Getting Started

Follow our [Download Fluvio](https://www.fluvio.io/download/) and the corresponding "Get Started" page to get fluvio up and running.

To learn about the Fluvio Architecture and contribute to Fluvio project, please visit the [Architecture](https://www.fluvio.io/docs/architecture/) section.

## Contributing

### Report a Bug

To report a bug, open an issue on GitHub with the label `bug`. Please ensure the issue has not already been reported.

### Suggest an Enhancement

To suggest an enhancement, please create an issue on GitHub with the label `enhancement`.

### Creating pull request

- Fork the `fluvio` repository to your GitHub Account.

- Create a branch, submit a PR when your changes are tested and ready for review

If you’d like to implement a new feature, please consider creating a `feature request` issue first to start a discussion about the feature.

### License

This project is licensed under the [Apache license](LICENSE). Unless you explicitly state otherwise, any contribution intentionally submitted for inclusion in Fluvio by you, shall be licensed as Apache, without any additional terms or conditions.




